package main

import (
	"fmt"
	"gaoqiaoCJY/src/db"
	"os"
	"os/signal"
	"syscall"

	"go.mongodb.org/mongo-driver/bson"
)

func exitProcess() {
	fmt.Println("等待进程完成")
	db.Exit_DB()
	fmt.Println("进程退出")
	os.Exit(-1)
}

func main() {
	signals := make(chan os.Signal, 4)
	done := make(chan bool, 1)

	signal.Notify(signals, syscall.SIGILL, syscall.SIGTERM, syscall.SIGQUIT, syscall.SIGINT)

	go func() {
		for signal := range signals {
			switch signal {
			case syscall.SIGTERM, syscall.SIGQUIT, syscall.SIGINT:
				fmt.Println("kill -15 进程退出")
				exitProcess()
			case syscall.SIGILL:
				fmt.Println("kill -4")
			}
		}
		done <- true
	}()

	defer func() {
		db.Exit_DB()
	}()

	fmt.Println("\r\n===============读取创业能力题库=================")
	e := &db.Entrepreneurship{}
	filter0 := bson.M{"id": 100}
	entrepreneurships := []db.Entrepreneurship{}
	err := e.GetList(filter0, entrepreneurships)
	if err == nil {
		for _, v := range entrepreneurships {
			fmt.Println(v)
		}
	}

	fmt.Println("\r\n===============读取创业能力题库=================")
}
