package db

import (
	"context"
	"log"
	"time"

	"go.mongodb.org/mongo-driver/mongo"
	"go.mongodb.org/mongo-driver/mongo/options"
)

var mgoCli *mongo.Client

func initDb() {
	var err error
	credential := options.Credential{
		AuthMechanism: "SCRAM-SHA-1", // 阿里云服务的
		Username:      "root",        // mongodb用户名
		Password:      "root",        //mongodb 密码
		AuthSource:    "admin",       //默认admin不需要改
		PasswordSet:   true,
	}

	clientOpts := options.Client().ApplyURI("mongodb://localhost:3733").
		SetAuth(credential)
	//连接到MongoDB
	ctx, cancel := context.WithTimeout(context.Background(), 5*time.Second) // 设置5s超时
	defer cancel()

	client, err := mongo.Connect(ctx, clientOpts)
	if err != nil {
		log.Fatal(err)
	}
	//检查连接
	err = client.Ping(context.TODO(), nil)
	if err != nil {
		log.Fatal(err)
	}
}
func MgoCli() *mongo.Client {
	if mgoCli == nil {
		initDb()
	}
	return mgoCli
}
